nxt.tools

## Enum ContractManager.OPTION

- java.lang.Object
- - java.lang.Enum<ContractManager.OPTION>
  - - nxt.tools.ContractManager.OPTION

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ContractManager.OPTION>
  Enclosing class:
    ContractManager

      public static enum ContractManager.OPTION
      extends java.lang.Enum<ContractManager.OPTION>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ACCOUNT`
    `DELETE`
    `HASH`
    `LIST`
    `NAME`
    `PACKAGE`
    `REFERENCE`
    `SOURCE`
    `UPLOAD`
    `VERIFY`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ContractManager.OPTION[]` | `getDependencies()`
    `java.lang.String` | `getDescription()`
    `java.lang.String` | `getLongOpt()`
    `java.lang.String` | `getOpt()`
    `boolean` | `hasArgs()`
    `boolean` | `isAction()`
    `static ContractManager.OPTION` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ContractManager.OPTION[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NAME

          public static final ContractManager.OPTION NAME

    - #### PACKAGE

          public static final ContractManager.OPTION PACKAGE

    - #### HASH

          public static final ContractManager.OPTION HASH

    - #### ACCOUNT

          public static final ContractManager.OPTION ACCOUNT

    - #### SOURCE

          public static final ContractManager.OPTION SOURCE

    - #### UPLOAD

          public static final ContractManager.OPTION UPLOAD

    - #### REFERENCE

          public static final ContractManager.OPTION REFERENCE

    - #### DELETE

          public static final ContractManager.OPTION DELETE

    - #### LIST

          public static final ContractManager.OPTION LIST

    - #### VERIFY

          public static final ContractManager.OPTION VERIFY

  - ### Method Detail

    - #### values

          public static ContractManager.OPTION[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ContractManager.OPTION c : ContractManager.OPTION.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ContractManager.OPTION valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getOpt

          public java.lang.String getOpt()

    - #### getLongOpt

          public java.lang.String getLongOpt()

    - #### hasArgs

          public boolean hasArgs()

    - #### getDescription

          public java.lang.String getDescription()

    - #### isAction

          public boolean isAction()

    - #### getDependencies

          public ContractManager.OPTION[] getDependencies()